package cn.ezhizao.project.business.payment.service.impl;

import cn.ezhizao.project.business.payment.domain.BizPayment;
import cn.ezhizao.project.business.payment.mapper.BizPaymentMapper;
import cn.ezhizao.project.business.payment.service.IBizPaymentService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @author 周晓
 */

@Service
public class BizPaymentServiceImpl extends ServiceImpl<BizPaymentMapper, BizPayment> implements IBizPaymentService {

    @Resource
    BizPaymentMapper bizPaymentMapper;

    @Override
    public Integer physicallyDelete(Map<String, Object> conditions) {
        if (conditions.isEmpty()) {
            return 0;
        }
        return bizPaymentMapper.physicallyDelete(conditions);
    }

    @Override
    public List<BizPayment> getList(Map<String, Object> conditions) {
        return bizPaymentMapper.getList(conditions);
    }

    @Override
    public int getTotal(Map<String, Object> conditions) {
        return bizPaymentMapper.getTotal(conditions);
    }

    @Override
    public List<BizPayment> getListByBean(BizPayment collectionCondition) {
        return bizPaymentMapper.getList(collectionCondition);
    }

    @Override
    public List<BizPayment> getByIds(List<Long> ids) {
        return bizPaymentMapper.getByIds(ids);
    }

    @Override
    public boolean removePaymentDetail(List<Long> ids) {
        return bizPaymentMapper.removePaymentDetail(ids);
    }
}
